﻿@model IEnumerable<NSS.Entity.Base.Substitute>

<table class="table">
    <tr>
        @*<th>
                @Html.DisplayNameFor(model => model.StatusCode)
            </th>*@
        <th>
            @Html.DisplayNameFor(model => model.Gender)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Title)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.FirstName)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.LastName)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.MiddleName)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.MaidenName)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.LicenseNumber)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.SubstituteEmail)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Phone1)
        </th>
        @*<th>
                @Html.DisplayNameFor(model => model.Phone2)
            </th>*@
        <th>
            @Html.DisplayNameFor(model => model.Info1)
        </th>
        @*<th>
                @Html.DisplayNameFor(model => model.Info2)
            </th>*@
        @*<th>
                @Html.DisplayNameFor(model => model.Info3)
            </th>*@
        @*<th>
                @Html.DisplayNameFor(model => model.Notes)
            </th>*@
        @*<th>
                @Html.DisplayNameFor(model => model.ExternalId)
            </th>*@
        <th>
            @Html.DisplayNameFor(model => model.Blocked)
        </th>
        @*<th>
                @Html.DisplayNameFor(model => model.CreationDate)
            </th>*@
        @*<th>
                @Html.DisplayNameFor(model => model.CreatedBy)
            </th>*@
        @*<th>
                @Html.DisplayNameFor(model => model.ChangeDate)
            </th>*@
        @*<th>
                @Html.DisplayNameFor(model => model.ModifiedBy)
            </th>*@
        <th></th>
    </tr>

    @foreach (var item in Model)
    {
        <tr>
            @*<td>
                    @Html.DisplayFor(modelItem => item.StatusCode)
                </td>*@
            <td>
                @Html.DisplayFor(modelItem => item.Gender)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Title)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.FirstName)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.LastName)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.MiddleName)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.MaidenName)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.LicenseNumber)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.SubstituteEmail)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Phone1)
            </td>
            @*<td>
                    @Html.DisplayFor(modelItem => item.Phone2)
                </td>*@
            <td>
                @Html.DisplayFor(modelItem => item.Info1)
            </td>
            @*<td>
                    @Html.DisplayFor(modelItem => item.Info2)
                </td>*@
            @*<td>
                    @Html.DisplayFor(modelItem => item.Info3)
                </td>*@
            @*<td>
                    @Html.DisplayFor(modelItem => item.Notes)
                </td>*@
            @*<td>
                    @Html.DisplayFor(modelItem => item.ExternalId)
                </td>*@
            <td>
                @Html.DisplayFor(modelItem => item.Blocked)
            </td>
            @*<td>
                    @Html.DisplayFor(modelItem => item.CreationDate)
                </td>*@
            @*<td>
                    @Html.DisplayFor(modelItem => item.CreatedBy)
                </td>*@
            @*<td>
                    @Html.DisplayFor(modelItem => item.ChangeDate)
                </td>*@
            @*<td>
                    @Html.DisplayFor(modelItem => item.ModifiedBy)
                </td>*@
            <td>
                @*@Html.ActionLink("Edit", "Update", new { id = item.SubstituteNo }) |*@
                <a href="#" onclick="NSSApplication.getModal('@Url.Action("Update", new { id = item.SubstituteNo })'); return false;"
                   data-toggle="modal" data-target="#modal-container" class="btn btn-warning btn-sm">
                    <span class="glyphicon glyphicon-edit"></span> Edit
                </a> |
                @*@Html.ActionLink("Details", "Details", new { id = item.SubstituteNo }) |*@
                <a href="#" onclick="NSSApplication.getModal('@Url.Action("Details", new { id = item.SubstituteNo })'); return false;"
                   data-toggle="modal" data-target="#modal-container" class="btn btn-success btn-sm">
                    <span class="glyphicon glyphicon-plus"></span> Details
                </a> |
                @*@Html.ActionLink("Delete", "Deleted", new { id = item.SubstituteNo })*@
                <a href="#" onclick="NSSApplication.getModal('@Url.Action("Deleted", new { id = item.SubstituteNo })'); return false;"
                   data-toggle="modal" data-target="#modal-container" class="btn btn-danger btn-sm">
                    <span class="glyphicon glyphicon-edit"></span> Delete
                </a>
            </td>
        </tr>
    }

</table>
